// Copyright 2021 FerretDB Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package version

import (
	"testing"

	"github.com/stretchr/testify/assert"

	"github.com/FerretDB/FerretDB/internal/types"
	"github.com/FerretDB/FerretDB/internal/util/must"
	"github.com/FerretDB/FerretDB/internal/util/testutil"
)

func TestGet(t *testing.T) {
	v := Get()
	assert.NotEqual(t, "", v.Version)
	assert.NotEqual(t, unknown, v.Version)
	assert.Equal(t, "5.0.42", MongoDBVersion)
	testutil.AssertEqual(t, must.NotFail(types.NewArray(int32(5), int32(0), int32(42), int32(0))), MongoDBVersionArray)
}
